Subject: bug#2825: 23.0.91; initial-buffer-choice useless with emacs daemon

From: Chong Yidong <[email-masked]>
Date: Thu, 09 Apr 2009 22:25:20 -0400

> the new variable initial-buffer-choice seems useless when using emacs
> as a daemon and emacsclient. This variable probably sets the initial
> frame of the daemon, but does not affect the emacs clients. The buffer
> is opened but not visible, the *scratch* buffer is opened instead.

Currently, server-create-tty-frame and server-create-window-system-frame
are hardcoded to display *scratch* if no emacsclient argument is given.
In bug #2825, Damien Cassou has argued that they should obey
initial-buffer-choice.

Are there any objections?